> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Risk Profile For Tab

> Single-payload risk profile for the CRM customer-detail Risk tab.



## OpenAPI

````yaml /openapi.json get /risk/customers/{customer_id}/profile
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /risk/customers/{customer_id}/profile:
    get:
      tags:
        - Risk
      summary: Get Customer Risk Profile For Tab
      description: Single-payload risk profile for the CRM customer-detail Risk tab.
      operationId: >-
        get_customer_risk_profile_for_tab_risk_customers__customer_id__profile_get
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Customer Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerProfileTabResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CustomerProfileTabResponse:
      properties:
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        classification:
          type: string
          title: Classification
        risk_flags:
          items:
            type: string
          type: array
          title: Risk Flags
        classification_changed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Classification Changed At
        last_computed_at:
          type: string
          format: date-time
          title: Last Computed At
        metrics:
          $ref: '#/components/schemas/_Metrics'
        rule_thresholds:
          $ref: '#/components/schemas/_RuleThresholds'
      type: object
      required:
        - customer_id
        - classification
        - risk_flags
        - classification_changed_at
        - last_computed_at
        - metrics
        - rule_thresholds
      title: CustomerProfileTabResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    _Metrics:
      properties:
        trades_30d:
          $ref: '#/components/schemas/_Trades30d'
        pnl_30d:
          $ref: '#/components/schemas/_Pnl30d'
        timing_30d:
          $ref: '#/components/schemas/_Timing30d'
        latency_30d:
          $ref: '#/components/schemas/_Latency30d'
        concentration_30d:
          $ref: '#/components/schemas/_Concentration30d'
        lifetime:
          $ref: '#/components/schemas/_Lifetime'
      type: object
      required:
        - trades_30d
        - pnl_30d
        - timing_30d
        - latency_30d
        - concentration_30d
        - lifetime
      title: _Metrics
    _RuleThresholds:
      properties:
        min_trades_to_classify:
          type: integer
          title: Min Trades To Classify
        watchlist:
          additionalProperties: true
          type: object
          title: Watchlist
        toxic:
          additionalProperties: true
          type: object
          title: Toxic
      type: object
      required:
        - min_trades_to_classify
        - watchlist
        - toxic
      title: _RuleThresholds
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    _Trades30d:
      properties:
        total:
          type: integer
          title: Total
        winning:
          type: integer
          title: Winning
        losing:
          type: integer
          title: Losing
        win_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Win Rate
      type: object
      required:
        - total
        - winning
        - losing
        - win_rate
      title: _Trades30d
    _Pnl30d:
      properties:
        total_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Usd
        gross_wins_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Gross Wins Usd
        gross_losses_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Gross Losses Usd
        profit_factor:
          anyOf:
            - type: number
            - type: 'null'
          title: Profit Factor
        avg_trade_pnl_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Trade Pnl Usd
      type: object
      required:
        - total_usd
        - gross_wins_usd
        - gross_losses_usd
        - profit_factor
        - avg_trade_pnl_usd
      title: _Pnl30d
    _Timing30d:
      properties:
        avg_hold_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Hold Seconds
        median_hold_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Median Hold Seconds
        min_hold_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Hold Seconds
      type: object
      required:
        - avg_hold_seconds
        - median_hold_seconds
        - min_hold_seconds
      title: _Timing30d
    _Latency30d:
      properties:
        trades_under_60s:
          type: integer
          title: Trades Under 60S
        trades_under_300s:
          type: integer
          title: Trades Under 300S
        pct_trades_under_60s:
          anyOf:
            - type: number
            - type: 'null'
          title: Pct Trades Under 60S
        short_hold_win_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Short Hold Win Rate
        trades_around_news:
          type: integer
          title: Trades Around News
      type: object
      required:
        - trades_under_60s
        - trades_under_300s
        - pct_trades_under_60s
        - short_hold_win_rate
        - trades_around_news
      title: _Latency30d
    _Concentration30d:
      properties:
        primary_symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Symbol
        primary_symbol_pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Primary Symbol Pct
        symbol_count:
          type: integer
          title: Symbol Count
      type: object
      required:
        - primary_symbol
        - primary_symbol_pct
        - symbol_count
      title: _Concentration30d
    _Lifetime:
      properties:
        total_trades:
          type: integer
          title: Total Trades
        total_pnl_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Pnl Usd
        win_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Win Rate
      type: object
      required:
        - total_trades
        - total_pnl_usd
        - win_rate
      title: _Lifetime

````